Package javassist.tools.web

# Class BadHttpRequest

java.lang.Object
java.lang.Throwable
java.lang.Exception
javassist.tools.web.BadHttpRequest

All Implemented Interfaces:
  `Serializable`

public class BadHttpRequest extends Exception
Thrown when receiving an invalid HTTP request.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BadHttpRequest()`
`BadHttpRequest(Exception _e)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BadHttpRequest

public BadHttpRequest()

### BadHttpRequest

public BadHttpRequest(Exception _e)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`